### Hierarchy

- BodyMixin
  - Response
  - Request

### Implements

- Body

## Index

### Constructors

- constructor

### Accessors

- body
- bodyUsed

### Methods

- arrayBuffer
- blob
- formData
- json
- text

## Constructors

### constructor

- new BodyMixin(obj: BodySource): BodyMixin

- - Defined in body_mixin.ts:24

  #### Parameters

  - ##### obj: BodySource

  #### Returns BodyMixin

## Accessors

### body

- get body(): ReadableStream | null

- - Defined in body_mixin.ts:32

  #### Returns ReadableStream | null

### bodyUsed

- get bodyUsed(): boolean

- - Defined in body_mixin.ts:50

  #### Returns boolean

## Methods

### arrayBuffer

- arrayBuffer(): Promise<ArrayBuffer>

- - Defined in body_mixin.ts:96

  #### Returns Promise<ArrayBuffer>

### blob

- blob(): Promise<Blob>

- - Defined in body_mixin.ts:57

  #### Returns Promise<Blob>

### formData

- formData(): Promise<FormData>

- - Defined in body_mixin.ts:61

  #### Returns Promise<FormData>

### json

- json(): Promise<any>

- - Defined in body_mixin.ts:91

  #### Returns Promise<any>

### text

- text(): Promise<string>

- - Defined in body_mixin.ts:82

  #### Returns Promise<string>

Generated using TypeDoc